Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.util
Class CharCursor

    java.lang.Object
      |
      +--com.caucho.util.CharCursor

All Implemented Interfaces:
  java.text.CharacterIterator, java.lang.Cloneable

Direct Known Subclasses:
  StringCharCursor

public abstract class CharCursor
extends java.lang.Object
implements java.text.CharacterIterator

Fields inherited from interface java.text.CharacterIterator
`DONE`

Constructor Summary
`CharCursor()`

Method Summary
`abstract java.lang.Object` | `clone()`
`abstract char` | `current()`
`char` | `first()`
`abstract int` | `getBeginIndex()`
`abstract int` | `getEndIndex()`
`abstract int` | `getIndex()` returns the current location of the cursor
`char` | `last()`
`abstract char` | `next()`
`char` | `prev()`
`abstract char` | `previous()`
`char` | `read()` our stuff
`boolean` | `regionMatches(char[] cb, int offset, int length)` True if the cursor matches the character buffer If match fails, return the pointer to its original.
`boolean` | `regionMatchesIgnoreCase(char[] cb, int offset, int length)` True if the cursor matches the character buffer If match fails, return the pointer to its original.
`abstract char` | `setIndex(int pos)` sets the cursor to the position
`char` | `skip(int n)` Skips the next n characters
`void` | `subseq(CharBuffer cb, int length)`
`void` | `subseq(CharBuffer cb, int begin, int end)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CharCursor

    public CharCursor()

Method Detail

### getIndex

    public abstract int getIndex()

  returns the current location of the cursor
  Specified by:
    `getIndex` in interface `java.text.CharacterIterator`

### getBeginIndex

    public abstract int getBeginIndex()

  Specified by:
    `getBeginIndex` in interface `java.text.CharacterIterator`

### getEndIndex

    public abstract int getEndIndex()

  Specified by:
    `getEndIndex` in interface `java.text.CharacterIterator`

### setIndex

    public abstract char setIndex(int pos)

  sets the cursor to the position
  Specified by:
    `setIndex` in interface `java.text.CharacterIterator`

### next

    public abstract char next()

  Specified by:
    `next` in interface `java.text.CharacterIterator`

### previous

    public abstract char previous()

  Specified by:
    `previous` in interface `java.text.CharacterIterator`

### current

    public abstract char current()

  Specified by:
    `current` in interface `java.text.CharacterIterator`

### clone

    public abstract java.lang.Object clone()

  Specified by:
    `clone` in interface `java.text.CharacterIterator`
  Overrides:
    `clone` in class `java.lang.Object`

### first

    public char first()

  Specified by:
    `first` in interface `java.text.CharacterIterator`

### last

    public char last()

  Specified by:
    `last` in interface `java.text.CharacterIterator`

### read

    public char read()

  our stuff

### prev

    public char prev()

### skip

    public char skip(int n)

  Skips the next n characters

### subseq

    public void subseq(CharBuffer cb,
                       int begin,
                       int end)

### subseq

    public void subseq(CharBuffer cb,
                       int length)

### regionMatches

    public boolean regionMatches(char[] cb,
                                 int offset,
                                 int length)

  True if the cursor matches the character buffer If match fails, return the pointer to its original.

### regionMatchesIgnoreCase

    public boolean regionMatchesIgnoreCase(char[] cb,
                                           int offset,
                                           int length)

  True if the cursor matches the character buffer If match fails, return the pointer to its original.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD